Skip to main content
POST
Update customer

Authorizations

Authorization
string
header
required

Customer access token obtained from the customer authorization flow.

Query Parameters

organization_id
string
required

Unique identifier of the organization.

Body

application/json
name
string
email
string
suggested_email
string | null

The email address suggested for the customer based on tracked activity, such as a form submission. The customer has not confirmed this address. This field is independent of email. An empty value clears only the suggestion.

avatar
string

The URL of the customer's avatar.

phone_number
string

The customer's phone number in E.164 format.

session_fields
object[]

An array of custom object-enclosed key-value pairs. Respects the order of items.

omnichannel
object
address
object

The customer's address.

Response

200

Customer updated.